> ## Documentation Index
> Fetch the complete documentation index at: https://developers.aimtell.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Website Keys

> Gets a Website's VAPID or FCM Keys

Keys that are marked "is_primary" are the ones that will be currently used on the site for new subscribers.

If the results are empty, this means you are using legacy Aimtell keys. We advise you to generate your own VAPID keys within the dashboard.



## OpenAPI

````yaml /api-reference/sites-openapi.json get /prod/site/{id}/keys
openapi: 3.1.0
info:
  title: sites
  version: '1.1'
servers:
  - url: https://api.aimtell.com
security:
  - sec0: []
paths:
  /prod/site/{id}/keys:
    get:
      tags:
        - Settings
      summary: Get Website Keys
      description: >-
        Gets a Website's VAPID or FCM Keys


        Keys that are marked "is_primary" are the ones that will be currently
        used on the site for new subscribers.


        If the results are empty, this means you are using legacy Aimtell keys.
        We advise you to generate your own VAPID keys within the dashboard.
      operationId: api-get-website-keys
      parameters:
        - name: id
          in: path
          description: Site ID
          required: true
          schema:
            type: string
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value:
                    - id: 4158
                      id_site: 2459
                      type: vapid
                      pub: >-
                        BM2J8-VPPGUINMc5ZE5H-ewuE8ryMM3-h4GE4IHtKQap_PPJERb0T-_fppoDnOmyEdLU1Nb7xzcKFi5x9jEOMnI
                      priv: RM3m2AzedWxZzyYU0_ltzJFBJAxGalHZ_FAKEPRIVATEKEY
                      is_primary: 1
                      active: 1
                      created_at: '2019-12-11 06:10:54'
                      updated_at: '2019-12-11 06:10:54'
                    - id: 4086
                      id_site: 2459
                      type: vapid
                      pub: >-
                        BAYZiAyn2A7NYI606S9UVzHSzhXzUXYmTZE6Ii38c0qFfBofhUW3zwp05HYjBXpkXNIIGoNnXb3zC234wEc67Zs
                      priv: r_4nBwszaQ_1HfCorhudu33Z7vm_FAKEPRIVATEKEY
                      is_primary: 0
                      active: 1
                      created_at: '2019-12-07 00:00:18'
                      updated_at: '2019-12-11 06:10:54'
                    - id: 2
                      id_site: 2459
                      type: gcm
                      pub: '315084543558'
                      priv: >-
                        AAAASVyAlkY:APA91bGV2fr7-VHf-r3U9U-45i_Tkr5UyKha9k18w6-MM9NO3rc_HwFbEUmGJY_4TNyimvr6-ooveEMy8rder0VZ2beBgJSXW2SF7dcHijTeVxohbi8X8-f58cZdN0C2Ig7AZ65ePMxVWF-uvGBcxyuw_FAKEPRIVATEKEY
                      is_primary: 0
                      active: 1
                      created_at: '2019-04-24 19:44:55'
                      updated_at: '2019-05-15 02:17:00'
        '400':
          description: '400'
          content:
            application/json:
              examples:
                Result:
                  value:
                    result: error
                    message: 'Error #136.'
        '401':
          description: '401'
          content:
            application/json:
              examples:
                Result:
                  value:
                    result: error
                    message: Please specify a valid auth_token.
      deprecated: false
components:
  securitySchemes:
    sec0:
      type: apiKey
      name: X-Authorization-Api-Key
      in: header
      x-default: ''

````